package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.security.crypto.AESCrypto;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/AESDecryptAction.class */
public class AESDecryptAction extends LifeAction {
    private String keyValue;
    private String encryptValue;
    private String decryptValue;

    public String getKeyValue() {
        return this.keyValue;
    }

    public void setKeyValue(String keyValue) {
        this.keyValue = keyValue;
    }

    public String getEncryptValue() {
        return this.encryptValue;
    }

    public void setEncryptValue(String encryptValue) {
        this.encryptValue = encryptValue;
    }

    public String getDecryptValue() {
        return this.decryptValue;
    }

    public void setDecryptValue(String decryptValue) {
        this.decryptValue = decryptValue;
    }

    public String execute(Context context) throws GENEException {
        try {
            String key = (String) context.getDataValue(this.keyValue);
            String encryptStr = (String) context.getDataValue(this.encryptValue);
            String decrypt = AESCrypto.decryptForJS(key, encryptStr);
            context.setDataValue(this.decryptValue, decrypt.trim());
            return "0";
        } catch (Exception e) {
            context.printStackTrace();
            throw new TranFailException("EB00053", "密码校验失败!");
        }
    }
}
